<?php

namespace App\Models\Applications;

use App\Models\User;
use App\Support\UuidScopeTrait;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class Conclusion extends Model {
    use UuidScopeTrait, SoftDeletes;

    public $table = 'application_conclusions';

    protected $dates = [
    ];

    protected $fillable = [
        'application_id',
        'author_id',
        'message'
    ];

    protected $hidden = [
        'id'
    ];


    public function application(): BelongsTo {
        return $this->belongsTo(Application::class);
    }

    public function author(): BelongsTo {
        return $this->belongsTo(User::class);
    }


}
